Subject: bug#68246: 30.0.50; Add non-TS mode as extra parent of TS modes

From: João Távora <[email-masked]>
Date: Mon, 8 Jan 2024 22:12:03 +0000

Mon, Jan 8, 2024, 20:08 Dmitry Gutov <[email-masked]> wrote:
>
>
> >> E.g., for example, we have message-mode, but if we wanted to support
> >> alternatives, we could call the base "email-message". Or for different
> >> major modes to edit VC commit messages, we could call the language
> >> "vc-log-message".
> > Those are not "languages", so let's not call them that.
>
> I'm not married to the term (have there been alternatives suggested?),

Neither am I btw. Naming is hard, but it shouldn't be
_this_ hard.

I think editors where you can't write emails, list processes
or chat in IRC do use "language" or "file format" In Emacs,
it'd make sense to me to give this to at least those modes
derived from prog-mode also maybe some more (org, markdown, etc).
Other modes would return nil to mean "nope, not a language per
se"

But if "language" or "file format" is still contentious, browser's
use of "content type" seems adequate.  Browsers don't always
server files after all.  Then probably the new getter would
return non-nil in even more modes, and  coverage would keep
growing to theoretically 100%.

João